--
-- Return a string JSON listing of all command in the public Lua scripting
-- interface to the Motion Service. Can be use as a autocomplete or hint for
-- a console application and for unit testing.
--
-- @file    json/console.lua
-- @version 2.5
--
local base = _G

local cmd_list = {}
local tbl_list = {
  ['node.'] = node,
  ['node.system.'] = node.system
}
local cmd_blacklist = {
  ['node.system.console_client'] = true,
  ['node.system.initialize'] = true,
  ['node.system.is_initialized'] = true,
  ['node.system.log'] = true,
  ['node.system.print'] = true,
  ['node.system.reset_wifi'] = true,
  ['node.system.start_services'] = true
}

local prefix, tbl
for prefix,tbl in base.pairs(tbl_list) do
  local key, value
  for key,value in base.pairs(tbl) do
    if base.type(value) == base.type(function() end) then
      local cmd = prefix .. key
      if 0 ~= string.find(key, "_") and not cmd_blacklist[cmd] then
        table.insert(cmd_list, cmd)
      end
    end
  end
end

table.sort(cmd_list)
return node.json.encode({['command'] = cmd_list})
