--
-- @file    json/wifi.lua
-- @version 2.5
--

-- Utility function. Generate a Json object based on a WifiNode (lua_wifi_node).
local _wifi_to_json
_wifi_to_json = function(item)
  return {
    ['hwid'] = item.hwid,
    ['essid'] = item.essid,
    ['password'] = item.password,
    ['type'] = item.type,
    ['signal'] = item.signal,
    ['channel'] = item.channel,
    ['key'] = item.key,
    ['active'] = item.active
  }
end

local ap_list = {}

local list = node.system.get_wifi_list()
if list then
  for _,item in ipairs(list:list()) do
  	table.insert(ap_list, _wifi_to_json(item))
  end
end

return node.json.encode({
  ['wifi'] = {
    ['ap_list'] = ap_list
  }
})