<?xml version="1.0"?>
<!--
  Generate an HTML interactive console interface. Does not require any state
  information from the server side.

  @file    static/style/console.xsl
  @author  Luke Tokheim, luke@motionnode.com
  @version 2.0
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:import href="common.xsl"/>
 <xsl:template name="Title">
  <xsl:call-template name="kConsole"/>
 </xsl:template>

 <xsl:template match="console">
  <xsl:element name="div">
   <xsl:attribute name="id">console</xsl:attribute>

   <xsl:element name="h1">
    <xsl:call-template name="Title"/>
   </xsl:element>

   <xsl:element name="p">
    Send scripting commands and display the results. Refresh the page to clear output. Refer
    to the <a href="http://www.motionnode.com/manual/Scripting%20Reference.pdf">Scripting Reference</a> manual for help.
   </xsl:element>

   <xsl:element name="input">
    <xsl:attribute name="id">interactive_input</xsl:attribute>
    <xsl:attribute name="size">75</xsl:attribute>
    <xsl:attribute name="onkeypress">
     <xsl:text>if (event &amp;&amp; (13 === event.keyCode)) {javascript:send_console_chunk('interactive_input');}</xsl:text>
    </xsl:attribute>
   </xsl:element>
   <xsl:element name="input">
    <xsl:attribute name="type">submit</xsl:attribute>
    <xsl:attribute name="value">Send</xsl:attribute>
    <xsl:attribute name="onclick">javascript:send_console_chunk('interactive_input');</xsl:attribute>
   </xsl:element>

   <xsl:element name="div">
    <xsl:attribute name="id">interactive_output</xsl:attribute>
    <xsl:attribute name="style">font-family: monospace; white-space: pre;</xsl:attribute>
   </xsl:element>
  </xsl:element>
 </xsl:template>

</xsl:stylesheet>