<?xml version="1.0"?>
<!--
  Create an HTML version of the Motion Service directory index listing.

  @file    static/style/index.xsl
  @author  Luke Tokheim, luke@motionnode.com
  @version 2.0
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:import href="common.xsl"/>
 <xsl:template name="Title">
  <xsl:value-of select="index/@path"/>
 </xsl:template>

 <xsl:template match="index">
  <div id="index">
   <div class="path">
    <xsl:value-of select="@path"/>
   </div>
   <xsl:apply-templates select="updir"/>
   <xsl:apply-templates select="dir"/>
   <xsl:apply-templates select="file"/>
  </div>
 </xsl:template>

 <xsl:template match="updir">
  <div class="updir">
   <xsl:text>[</xsl:text>
   <xsl:element name="a">
    <xsl:attribute name="href">..</xsl:attribute>
    <xsl:text>Parent Directory</xsl:text>
   </xsl:element>
   <xsl:text>]</xsl:text>
  </div>
 </xsl:template>
 
 <xsl:template match="dir">
  <div class="dir">
   <xsl:element name="a">
    <xsl:attribute name="href">
     <xsl:value-of select="@href"/>
    </xsl:attribute>
    <xsl:value-of select="@name"/>
    <xsl:text>/</xsl:text>
   </xsl:element>
  </div>
 </xsl:template>

 <xsl:template match="file">
  <div class="file">
   <xsl:element name="a">
    <xsl:attribute name="href">
     <xsl:value-of select="@href"/>
    </xsl:attribute>
    <xsl:value-of select="@name"/>
   </xsl:element>
  </div>
 </xsl:template>

</xsl:stylesheet>