<?xml version="1.0"?>
<!--
  Create an HTML version of the Motion Service log file format. Generate a table
  of log entries with class names for level color coding.

  @file    static/style/log.xsl
  @author  Luke Tokheim, luke@motionnode.com
  @version 2.0
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:import href="common.xsl"/>
 <xsl:template name="Title">
  <xsl:call-template name="kLog"/>
 </xsl:template>

 <xsl:template match="log">
  <div id="log">
   <table>
    <xsl:apply-templates/>
   </table>
  </div>
 </xsl:template>

 <xsl:template match="log/*">
  <tr class="{name()}">
   <td class="time">
    <xsl:call-template name="format_iso_extended">
     <xsl:with-param name="value">
      <xsl:value-of select="@time"/>
     </xsl:with-param>
    </xsl:call-template>
   </td>
   <td class="message">
    <xsl:apply-templates/>
   </td>
  </tr>
 </xsl:template>
 
 <xsl:template match="log/active"/>
</xsl:stylesheet>