<?xml version="1.0"?>
<!--
  Create an HTML version of the Motion Service configuration file format.
  Generate a table view of node entries.

  @file    static/style/node.xsl
  @author  Luke Tokheim, luke@motionnode.com
  @version 2.0
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:import href="common.xsl"/>
 <xsl:template name="Title">
  <xsl:text>Configuration</xsl:text>
 </xsl:template>
 <xsl:template name="JavascriptShortcut">
  <xsl:text>[{command:'open',name:'Load configuration',active:true, key:'l',argument: this_uri()}]</xsl:text>
 </xsl:template>

 <xsl:template match="/node">
  <div id="configuration">
   <h1>
    <xsl:call-template name="Title"/>
   </h1>

   <table>
    <thead>
     <tr>
      <th>Id</th>
      <th>Name</th>
      <th>Source</th>
      <th>Filter</th>
      <th>Delay</th>
      <th>G Select</th>
     </tr>
    </thead>
    <tbody>
     <xsl:apply-templates/>
    </tbody>
   </table>

   <div style="margin-top: 1em;">
    <xsl:call-template name="command_anchor">
     <xsl:with-param name="text">Load configuration</xsl:with-param>
     <xsl:with-param name="command">open</xsl:with-param>
     <xsl:with-param name="argument">this_uri()</xsl:with-param>
     <xsl:with-param name="help">Load this as the current configuration.</xsl:with-param>
     <xsl:with-param name="accesskey">l</xsl:with-param>
    </xsl:call-template>
   </div> 
  </div>
 </xsl:template>
 
 <xsl:template match="/node//node">
  <tr>
   <td>
    <xsl:value-of select="@id"/>
   </td>
   <td>
    <xsl:value-of select="@name"/>
   </td>
   <td>
    <xsl:value-of select="@source"/>
   </td>
   <td class="read_only_float">
    <xsl:value-of select="@gain"/>
   </td>
   <td class="read_only_float">
    <xsl:value-of select="@delay"/>
   </td>
   <td class="read_only_float">
    <xsl:value-of select="@gselect"/>
   </td>
  </tr>
  <xsl:apply-templates/>
 </xsl:template>

</xsl:stylesheet>