<?xml version="1.0"?>
<!--
  Stylesheet that implements English localization (l10n) for the Motion User
  Interface.

  @file    static/style/strings.xsl
  @author  Luke Tokheim, luke@motionnode.com
  @version 2.4
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <!-- common.xsl -->
 <!-- ISO 639-1 Language Code -->
 <xsl:template name="kLanguage">en</xsl:template>
 
 <!-- Names -->
 <xsl:template name="kMotion">Motion</xsl:template>
 <xsl:template name="kShadow">Shadow</xsl:template>
 <xsl:template name="kVersion">2.4</xsl:template>
 <xsl:template name="kWebSite">http://www.motionnode.com</xsl:template>
 <xsl:template name="kMaps">
  <xsl:call-template name="kWebSite"/>
  <xsl:text>/map/?q=</xsl:text>
 </xsl:template>
 <xsl:template name="kHelpURL">
  <xsl:call-template name="kWebSite"/>
  <xsl:text>/help/</xsl:text>
 </xsl:template>
 <xsl:template name="kDemoVersion">Demo Version</xsl:template>
 <xsl:template name="kClickToEdit">Click to edit.</xsl:template>
 <xsl:template name="kJavaScriptRequired">
  <xsl:text>Your browser must support JavaScript. For more information, see </xsl:text>
  <xsl:element name="a">
   <xsl:attribute name="href">
    <xsl:call-template name="kHelpURL"/>
   </xsl:attribute>
   <xsl:call-template name="kHelpURL"/>
  </xsl:element>
  <xsl:text>.</xsl:text>
 </xsl:template>
 <xsl:template name="kReturnToStatus">Return to main status view.</xsl:template>
 
 <!-- Menus -->
 <xsl:template name="kFile">File</xsl:template>
 <xsl:template name="kNode">Node</xsl:template>
 <xsl:template name="kNodes">Nodes</xsl:template>
 <xsl:template name="kStartTake">Start Take</xsl:template>
 <xsl:template name="kStartTakeTitle">Start a take for <xsl:call-template name="kOneOrMore"/>.</xsl:template>
 <xsl:template name="kStartTakeInfo">Take already in progress.</xsl:template>
 <xsl:template name="kStopTake">Stop Take</xsl:template>
 <xsl:template name="kStopTakeTitle">Stop and save current take.</xsl:template>
 <xsl:template name="kStopTakeInfo">Requires take in progress.</xsl:template>
 <xsl:template name="kStartReading">Start Reading</xsl:template>
 <xsl:template name="kStartReadingTitle">Start reading data from <xsl:call-template name="kOneOrMore"/>.</xsl:template>
 <xsl:template name="kStartReadingInfo">Already reading data from <xsl:call-template name="kOneOrMore"/>.</xsl:template>
 <xsl:template name="kStopReading">Stop Reading</xsl:template>
 <xsl:template name="kStopReadingTitle">Stop reading data from <xsl:call-template name="kOneOrMore"/>.</xsl:template>
 <xsl:template name="kStopReadingInfo">Requires reading data from <xsl:call-template name="kOneOrMore"/>.</xsl:template>
 <xsl:template name="kConnect">Connect</xsl:template>
 <xsl:template name="kConnectTitle">Connect to <xsl:call-template name="kOneOrMore"/>..</xsl:template>
 <xsl:template name="kConnectInfo">Already connected to <xsl:call-template name="kOneOrMore"/>.</xsl:template>
 <xsl:template name="kClose">Close</xsl:template>
 <xsl:template name="kCloseTitle">Close connection to <xsl:call-template name="kOneOrMore"/>.</xsl:template>
 <xsl:template name="kCloseInfo">
  <xsl:choose>
   <xsl:when test="@id">
    <xsl:text>Requires active connection to </xsl:text>
    <xsl:call-template name="kOneOrMore"/>
   </xsl:when>
   <xsl:otherwise>
    <xsl:text>Requires at least one connected </xsl:text>
    <xsl:call-template name="kNode"/>
   </xsl:otherwise>
  </xsl:choose>
  <xsl:text>.</xsl:text>
 </xsl:template>
 <xsl:template name="kGSelect">G Select</xsl:template>
 <xsl:template name="kGSelectTitle">Set accelerometer range for <xsl:call-template name="kOneOrMore"/>.</xsl:template>
 <xsl:template name="kGSelectPrompt">Set accelerometer range, in g:</xsl:template>
 <xsl:template name="kSampleRate">Sample Rate</xsl:template>
 <xsl:template name="kSampleRateTitle">Set sample rate for <xsl:call-template name="kOneOrMore"/>.</xsl:template>
 <xsl:template name="kSampleRatePrompt">Set sample rate, in hertz:</xsl:template>
 <xsl:template name="kSetPose">Set Pose</xsl:template>
 <xsl:template name="kSetPoseTitle">Set the identity orientation of <xsl:call-template name="kOneOrMore"/>.</xsl:template>
 <xsl:template name="kSetPoseInfo">Can not set the pose during a take.</xsl:template>
 <xsl:template name="kResetPosition">Reset Position</xsl:template>
 <xsl:template name="kRestPose">Create Rest Pose</xsl:template>
 <xsl:template name="kRestPoseTitle">Create the rest pose orientation markers for <xsl:call-template name="kOneOrMore"/>.</xsl:template>
 <xsl:template name="kRestPoseInfo">Can not create rest pose markers during a take.</xsl:template>
 <xsl:template name="kInsert">Insert</xsl:template>
 <xsl:template name="kInsertTitle">Insert a <xsl:call-template name="kNode"/> into the current configuration.</xsl:template>
 <xsl:template name="kInsertPrompt">Enter unique identifier:</xsl:template>
 <xsl:template name="kInsertInfo"></xsl:template>
 <xsl:template name="kErase">Erase</xsl:template>
 <xsl:template name="kEraseTitle">
  <xsl:text>Erase </xsl:text>
  <xsl:if test="@id">
   <xsl:call-template name="kNode"/>
   <xsl:text> id, "</xsl:text>
   <xsl:value-of select="@id"/>
   <xsl:text>" from </xsl:text>
  </xsl:if>
  <xsl:text>the current configuration.</xsl:text>
 </xsl:template>
 <xsl:template name="kErasePrompt">Erase the current configuration?</xsl:template>
 <xsl:template name="kEraseInfo"></xsl:template>
 <xsl:template name="kScan">Scan</xsl:template>
 <xsl:template name="kScanTitle">Scan for active devices. Insert all detected devices into the current configuration.</xsl:template>
 <xsl:template name="kCalibrate">Calibrate From Take</xsl:template>
 <xsl:template name="kCalibrateTitle">Use data from the active take to calibrate this <xsl:call-template name="kNode"/>.</xsl:template>
 <xsl:template name="kCalibrateInfo">Requires an active take definition and an inactive <xsl:call-template name="kNode"/> connection.</xsl:template>
 <xsl:template name="kWriteCalibration">Write Calibration</xsl:template>
 <xsl:template name="kWriteCalibrationTitle">Write the current calibration to the onboard non-volatile memory of this <xsl:call-template name="kNode"/>.</xsl:template>
 <xsl:template name="kWriteCalibrationPrompt">Overwrite the calibration stored on this <xsl:call-template name="kNode"/>? (This may take a few seconds.)</xsl:template>
 <xsl:template name="kMagnetic">Magnetic Location</xsl:template>
 <xsl:template name="kMagneticTitle">Use data from the active take to calibrate all <xsl:call-template name="kNodes"/> in the magnetic environment.</xsl:template>
 <xsl:template name="kMagneticInfo">Requires an active take definition and <xsl:call-template name="kNode"/> connection.</xsl:template>
 <xsl:template name="kShutDown">Shut Down</xsl:template>
 <xsl:template name="kShutDownTitle">Power off the wireless device.</xsl:template>
 <xsl:template name="kShutDownPrompt">Shut down the wireless device now?</xsl:template>
 <xsl:template name="kRequiresConfiguration">Requires non-empty configuration.</xsl:template>
 <xsl:template name="kRequiresClosed">Requires inactive <xsl:call-template name="kNode"/> connection.</xsl:template>
 <xsl:template name="kRequiresReading">Requires an active take definition and <xsl:call-template name="kOneOrMore"/>.</xsl:template>
 <!-- Make string like "all configured Nodes" or " Node id, "MotionNode"". -->
 <xsl:template name="kOneOrMore">
  <xsl:choose>
   <xsl:when test="@id">
    <xsl:call-template name="kNode"/>
    <xsl:text> id, "</xsl:text>
    <xsl:value-of select="@id"/>
    <xsl:text>"</xsl:text>
   </xsl:when>
   <xsl:otherwise>
    <xsl:text>all configured </xsl:text>
    <xsl:call-template name="kNodes"/>
   </xsl:otherwise>
  </xsl:choose>
 </xsl:template>
 <xsl:template name="kBus">Bus</xsl:template>
 <xsl:template name="kController">Controller</xsl:template>
 <xsl:template name="kLog">Log</xsl:template>
 <xsl:template name="kLogTitle">View log file.</xsl:template>
 <xsl:template name="kLogInactive">No active log file.</xsl:template>
 <xsl:template name="kViewer">Viewer</xsl:template>
 <xsl:template name="kViewerTitle">Open live streaming viewer.</xsl:template>
 <xsl:template name="kLocation">Location</xsl:template>
 <xsl:template name="kLocationTitle">View current location.</xsl:template>
 <xsl:template name="kRactor">Ractor</xsl:template>
 <xsl:template name="kRactorTitle">View and edit performer measurements.</xsl:template>
 <xsl:template name="kWireless">Wireless</xsl:template>
 <xsl:template name="kWirelessTitle">Select preferred Wi-Fi access point.</xsl:template>
 <xsl:template name="kSystemInfo">System Info</xsl:template>
 <xsl:template name="kSystemInfoTitle">Show detail system information.</xsl:template>
 <xsl:template name="kBattery">Battery</xsl:template>
 <xsl:template name="kBatteryTitle">Show battery status.</xsl:template>
 <xsl:template name="kConsole">Console</xsl:template>
 <xsl:template name="kConsoleTitle">Open interactive console.</xsl:template>
 <xsl:template name="kDefaults">Defaults</xsl:template>
 <xsl:template name="kDefaultsTitle">View and edit default configuration values.</xsl:template>
 <xsl:template name="kMobile">Mobile</xsl:template>
 <xsl:template name="kMobileTitle">Switch to the mobile view of the user interface.</xsl:template>
 <xsl:template name="kHelp">Help</xsl:template>
 <xsl:template name="kHelpTitle">Open online help.</xsl:template>
 <xsl:template name="kTake">Take</xsl:template>
 <xsl:template name="kCurrentTake">Current Take</xsl:template>
 <xsl:template name="kViewCurrentTake">View current take definition file.</xsl:template>
 <xsl:template name="kEmptyConfiguration">Empty Configuration</xsl:template>
 <xsl:template name="kEmptyTake">Empty Take</xsl:template>
 <xsl:template name="kEmptyTakeTitle">Browse take folder for a previous recording.</xsl:template>
 <xsl:template name="kTakeInProgress">Take In Progress...</xsl:template>
 <xsl:template name="kBrowseTake">Browse Take Folder</xsl:template>
 <xsl:template name="kBrowseTakeTitle">Browse take folder for a previous recording.</xsl:template>

 <!-- console.xsl -->

 <!-- geocode.xsl -->
 <xsl:template name="kAddress">Address</xsl:template>
 <xsl:template name="kMeter">meter</xsl:template>
 <xsl:template name="kGeocodeSummary">The current geographic location is listed below. The location is required to estimate the magnetic field of the Earth. Edit the address field to change the current location.</xsl:template>
 <xsl:template name="kGeocodeMap">Show this location in an online map</xsl:template>

 <!-- initialize.xsl -->
 <xsl:template name="kPreferences">Preferences</xsl:template>

 <!-- state.xsl -->
 <xsl:template name="kOpen">Open</xsl:template>
 <xsl:template name="kOpenTitle">Open file. Detects configuration, take, and script file types.</xsl:template>
 <xsl:template name="kOpenPrompt">Open file:</xsl:template>
 <xsl:template name="kSave">Save</xsl:template>
 <xsl:template name="kSaveTitle">Save current configuration to a file.</xsl:template>
 <xsl:template name="kSavePrompt">Save configuration as:</xsl:template>
 <xsl:template name="kSaveInfo">Requires non-empty configuration.</xsl:template>
 <xsl:template name="kExport">Export</xsl:template>
 <xsl:template name="kExportTitle">Export current take data to an external file format.</xsl:template>
 <xsl:template name="kExportPrompt">Export take to file:</xsl:template>
 <xsl:template name="kExportInfo">Requires an active take definition and non-empty configuration.</xsl:template>
 <xsl:template name="kExportStream">Export Stream</xsl:template>
 <xsl:template name="kExportStreamTitle">Export sensor data streams from the current take to a text file.</xsl:template>
 <xsl:template name="kExportStreamPrompt">Export sensor data streams to file:</xsl:template>
 <xsl:template name="kId">Id</xsl:template>
 <xsl:template name="kIdTitle">Unique identifier for a <xsl:call-template name="kNode"/>. Read-only.</xsl:template>
 <xsl:template name="kName">Name</xsl:template>
 <xsl:template name="kNameTitle">Descriptive name.</xsl:template>
 <xsl:template name="kSource">Source</xsl:template>
 <xsl:template name="kSourceTitle">Physical resource location for a <xsl:call-template name="kNode"/>.</xsl:template>
 <xsl:template name="kFilter">Filter</xsl:template>
 <xsl:template name="kFilterTitle">Filter parameter, [0=smooth, 1=responsive].</xsl:template>
 <xsl:template name="kConnected">Connected</xsl:template>
 <xsl:template name="kConnectedTitle">True if <xsl:call-template name="kNode"/> is connected.</xsl:template>
 <xsl:template name="kReading">Reading</xsl:template>
 <xsl:template name="kReadingTitle">True if <xsl:call-template name="kNode"/> is streaming data.</xsl:template>
 <xsl:template name="kClosed">Closed</xsl:template>
 <xsl:template name="kRecording">Recording</xsl:template>
 <xsl:template name="kDetail">Detail</xsl:template>
 <xsl:template name="kDetailTitle">View and edit additional configuration parameters.</xsl:template>
 <xsl:template name="kStatus">Status</xsl:template>
 <xsl:template name="kSensorGain">Sensor Gain</xsl:template>
 <xsl:template name="kTrackGyroscopeBias">Track Gyroscope Bias</xsl:template>
 <xsl:template name="kPipelineSelect">Pipeline Select</xsl:template>
 <xsl:template name="kDefaultConfigurationValues">Default Configuration Values</xsl:template>
 <xsl:template name="kNone">None</xsl:template>
 <xsl:template name="kAll">All</xsl:template>
 <xsl:template name="kAccelerometer">Accelerometer</xsl:template>
 <xsl:template name="kGyroscope">Gyroscope</xsl:template>
 <xsl:template name="kAccelerometerMagnetometer">Accelerometer-Magnetometer</xsl:template>
 <xsl:template name="kAccelerometerGyroscope">Accelerometer-Gyroscope</xsl:template>

 <!-- take.xsl -->
 <xsl:template name="kLoadTake">Load Take</xsl:template>
 <xsl:template name="kLoadTakeTitle">Load this as the current take to export data.</xsl:template>
 <xsl:template name="kLoadTakeSource">Load Take Source</xsl:template>
 <xsl:template name="kLoadTakeSourceTitle">Load this take as the current configuration source to replay.</xsl:template>
 <xsl:template name="kTrackTake">Track Take</xsl:template>
 <xsl:template name="kTrackTakeTitle">Reprocess the Shadow contact point data for this take.</xsl:template>
</xsl:stylesheet>
