<?xml version="1.0"?>
<!--
 Convert a geocode result into a geographic position that we can easily parse.

 @file    static/style/transform/geocode.xsl
 @version 2.0
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:output method="text"/>

 <xsl:template match="*"/>

 <xsl:template match="/">
  <xsl:apply-templates select="geocode"/>
 </xsl:template>

 <xsl:template match="geocode">
  <xsl:apply-templates select="location[1]"/>
 </xsl:template>

 <xsl:template match="location">
  <xsl:apply-templates select="address[1]"/>
  <xsl:apply-templates select="point[1]"/>
 </xsl:template> 

 <xsl:template match="address[text()]">
  <xsl:if test="string-length(text())&gt;0">
   <xsl:apply-templates select="text()"/>
   <xsl:text>
</xsl:text>
  </xsl:if>
 </xsl:template>
 
 <xsl:template match="point[latitude/text() and longitude/text() and elevation/text()]">
  <xsl:apply-templates select="longitude/text()"/>
  <xsl:text>,</xsl:text>
  <xsl:apply-templates select="latitude/text()"/>
  <xsl:text>,</xsl:text>
  <xsl:apply-templates select="elevation/text()"/>
 </xsl:template>

</xsl:stylesheet>