<?xml version="1.0"?>
<!--
  Convert a KML placemark into a geographic coordinate. Compatible with the
  geocode tree formatter.

  @file    static/style/transform/kml.xsl
  @version 2.0
-->
<xsl:stylesheet
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:kml="http://www.opengis.net/kml/2.2"
 xmlns:kml21="http://earth.google.com/kml/2.1"
 version="1.0">
 <xsl:output method="text"/>

 <xsl:template match="*"/>

 <xsl:template match="/kml:kml">
  <xsl:choose>
   <!-- First, match any Placemark that is a direct child of the kml tree. -->
   <xsl:when test="count(kml:Placemark[position()=1 and string-length(kml:Point/kml:coordinates) &gt; 0])=1">
    <xsl:apply-templates select="kml:Placemark[position()=1 and string-length(kml:Point/kml:coordinates) &gt; 0]"/>
   </xsl:when>
   <xsl:otherwise>
    <!-- Second, match Placemark that is a descendent of the kml tree. -->
    <xsl:if test="count(//kml:Placemark[position()=1 and string-length(kml:Point/kml:coordinates) &gt; 0])=1">
     <xsl:apply-templates select="//kml:Placemark[position()=1 and string-length(kml:Point/kml:coordinates) &gt; 0]"/>
    </xsl:if>
   </xsl:otherwise>
  </xsl:choose>
 </xsl:template>

 <xsl:template match="/kml21:kml">
  <xsl:choose>
   <!-- First, match any Placemark that is a direct child of the kml tree. -->
   <xsl:when test="count(kml21:Placemark[position()=1 and string-length(kml21:Point/kml21:coordinates) &gt; 0])=1">
    <xsl:apply-templates select="kml21:Placemark[position()=1 and string-length(kml21:Point/kml21:coordinates) &gt; 0]"/>
   </xsl:when>
   <xsl:otherwise>
    <!-- Second, match Placemark that is a descendent of the kml tree. -->
    <xsl:if test="count(//kml21:Placemark[position()=1 and string-length(kml21:Point/kml21:coordinates) &gt; 0])=1">
     <xsl:apply-templates select="//kml21:Placemark[position()=1 and string-length(kml21:Point/kml21:coordinates) &gt; 0]"/>
    </xsl:if>
   </xsl:otherwise>
  </xsl:choose>
 </xsl:template> 

 <!-- Convert a Placemark to our simple string format. -->
 <xsl:template match="kml:Placemark">
  <xsl:choose>
   <xsl:when test="count(kml:name) &gt; 0">
    <xsl:apply-templates select="kml:name[position()=1]"/>
   </xsl:when>
   <xsl:otherwise>
    <xsl:apply-templates select="kml:address[position()=1]"/>
   </xsl:otherwise>
  </xsl:choose>
  <xsl:text>
</xsl:text>
  <xsl:apply-templates select="kml:Point[position()=1]/kml:coordinates[position()=1]"/>
 </xsl:template>

 <!-- Convert a Placemark to our simple string format. -->
 <xsl:template match="kml21:Placemark">
  <xsl:choose>
   <xsl:when test="count(kml21:name) &gt; 0">
    <xsl:apply-templates select="kml21:name[position()=1]"/>
   </xsl:when>
   <xsl:otherwise>
    <xsl:apply-templates select="kml21:address[position()=1]"/>
   </xsl:otherwise>
  </xsl:choose>
  <xsl:text>
</xsl:text>
  <xsl:apply-templates select="kml21:Point[position()=1]/kml21:coordinates[position()=1]"/>
 </xsl:template> 

 <!-- String valued nodes. -->
 <xsl:template match="kml:address|kml:coordinates|kml:name">
  <xsl:apply-templates/>
 </xsl:template>

 <xsl:template match="kml21:address|kml21:coordinates|kml21:name">
  <xsl:apply-templates/>
 </xsl:template> 
 
</xsl:stylesheet>
