<?xml version="1.0"?>
<!--
 @file   static/style/transform/node_to_json.xsl
 @brief  
-->
<xsl:stylesheet
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 version="1.0">

 <!-- Plain text output -->
 <xsl:output
  method="text"
  encoding="ascii"/>

 <!-- Strip all whitespace. -->
 <xsl:strip-space elements="*"/>

 <!-- Squash all nodes by default. -->
 <xsl:template match="*"/>

 <xsl:template match="/">
  <xsl:text>{</xsl:text>
  <xsl:call-template name="json_field">
   <xsl:with-param name="value">
    <xsl:text>node</xsl:text>
   </xsl:with-param>
  </xsl:call-template>  
  <xsl:text>[</xsl:text>
  <xsl:apply-templates select="node//node">
   <xsl:sort select="@id"/>
  </xsl:apply-templates>
  <xsl:text>]</xsl:text>
  <xsl:text>}</xsl:text>
 </xsl:template>

 <xsl:template match="node">
  <xsl:if test="position() > 1">
   <xsl:text>,</xsl:text>
  </xsl:if>
  <xsl:text>{</xsl:text>
  <xsl:apply-templates select="@key"/>
  <xsl:apply-templates select="@id"/>
  <xsl:apply-templates select="@rotate"/>
  <xsl:apply-templates select="@translate"/>
  <xsl:call-template name="json_field">
   <xsl:with-param name="value">
    <xsl:text>parent</xsl:text>
   </xsl:with-param>
  </xsl:call-template>
  <!--
  <xsl:call-template name="json_number">
   <xsl:with-param name="value">
    <xsl:if test="not(../@key)">
      <xsl:text>0</xsl:text>
    </xsl:if>
    <xsl:value-of select="../@key"/>
   </xsl:with-param>
  </xsl:call-template>
-->
  <xsl:call-template name="json_string">
   <xsl:with-param name="value">
    <xsl:value-of select="../@id"/>
   </xsl:with-param>
  </xsl:call-template>

  <xsl:text>}</xsl:text>  
 </xsl:template>

 <xsl:template match="@key|@mass">
  <xsl:call-template name="json_field">
   <xsl:with-param name="value">
    <xsl:value-of select="name()"/>
   </xsl:with-param>
  </xsl:call-template>
  <xsl:call-template name="json_number">
   <xsl:with-param name="value">
    <xsl:value-of select="."/>
   </xsl:with-param>
  </xsl:call-template>
  <xsl:text>,</xsl:text>
 </xsl:template>
 
 <xsl:template match="@id">
  <xsl:call-template name="json_field">
   <xsl:with-param name="value">
    <xsl:value-of select="name()"/>
   </xsl:with-param>
  </xsl:call-template>
  <xsl:call-template name="json_string">
   <xsl:with-param name="value">
    <xsl:value-of select="."/>
   </xsl:with-param>
  </xsl:call-template>
  <xsl:text>,</xsl:text>
 </xsl:template>

 <xsl:template match="@rotate|@translate">
  <xsl:call-template name="json_field">
   <xsl:with-param name="value">
     <xsl:value-of select="name()"/>
   </xsl:with-param>
  </xsl:call-template>
  <xsl:call-template name="json_array">
   <xsl:with-param name="value">
    <xsl:value-of select="."/>
   </xsl:with-param>
  </xsl:call-template>
  <xsl:text>,</xsl:text>
 </xsl:template>

 <xsl:template name="json_field">
  <xsl:param name="value"/>
  
  <xsl:text>"</xsl:text>
  <xsl:value-of select="$value"/>
  <xsl:text>":</xsl:text> 
 </xsl:template>

 <xsl:template name="json_number">
  <xsl:param name="value"/>

  <xsl:value-of select="$value"/>
 </xsl:template>

 <xsl:template name="json_string">
  <xsl:param name="value"/>
  
  <xsl:text>"</xsl:text>
  <xsl:value-of select="$value"/>
  <xsl:text>"</xsl:text>
 </xsl:template>

 <xsl:template name="json_array">
  <xsl:param name="value"/>

  <xsl:text>[</xsl:text>

  <xsl:value-of select="substring-before($value, ' ')"/>
  <xsl:text>,</xsl:text>
  <xsl:value-of select="substring-before(substring-after($value, ' '), ' ')"/>
  <xsl:text>,</xsl:text>
  <xsl:value-of select="substring-after(substring-after($value, ' '), ' ')"/>
  <xsl:text>]</xsl:text>
 </xsl:template>
 
</xsl:stylesheet>
