<?xml version="1.0"?>
<!--
 Convert a ractor definition into a format that we can easily parse. Select
 the active definition.

 @file    static/style/transform/ractor.xsl
 @version 2.0
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:output method="text"/>

 <xsl:template match="*"/>

 <xsl:template match="/">
  <xsl:apply-templates select="ractor"/>
 </xsl:template>

 <xsl:template match="ractor">
  <xsl:apply-templates select="definition[1]"/>
 </xsl:template>

 <xsl:template match="definition">
  <xsl:apply-templates select="name[1]"/>
  <xsl:apply-templates select="measurement[1]"/>
 </xsl:template> 

 <xsl:template match="name[text()]">
  <xsl:if test="string-length(text())&gt;0">
   <xsl:apply-templates select="text()"/>
   <xsl:text>
</xsl:text>
  </xsl:if>
 </xsl:template>
 
 <xsl:template match="measurement[height/text() and arm/text() and leg/text()]">
  <xsl:apply-templates select="height/text()"/>
  <xsl:text>,</xsl:text>
  <xsl:apply-templates select="arm/text()"/>
  <xsl:text>,</xsl:text>
  <xsl:apply-templates select="leg/text()"/>
 </xsl:template>

</xsl:stylesheet>